import { getReactNativeConfig, getReactNativeDotenv } from './utils/safe-require';

const WIDTH = 'SIZE_MATTERS_BASE_WIDTH';
const HEIGHT = 'SIZE_MATTERS_BASE_HEIGHT';

export const getGuidelineSizes = () => {
    let guidelineBaseWidth = 350;
    let guidelineBaseHeight = 680;

    const config = getReactNativeConfig() || getReactNativeDotenv();
    if (config) {
        if (config[HEIGHT]) {
            guidelineBaseHeight = config[HEIGHT];
        }
        if (config[WIDTH]) {
            guidelineBaseWidth = config[WIDTH];
        }
    }

    return { guidelineBaseWidth, guidelineBaseHeight };
}